#!/bin/bash
#检查系统是否是Ubuntu
DIST=`cat /etc/issue|grep Ubuntu|wc -l`
if [ "${DIST}" == "1" ] ; then
   echo "OS OK"
else
   echo "OS must is Ubuntu"
   exit 1
fi

#在sudo模式下增加虚拟站点
if [ $(id -u) != "0" ]; then
    echo "use sudo sh $0"
    exit 1
fi

#提示输入域名
read -p "Please input domains:" domains
if [ "${domains}" == "" ]; then
    echo "pls input domains"
    exit 1   
fi

#取第一个域名作为配置文件名及网站目录名
basedomain=`echo "${domains}" |awk '{print $1}'`
configfile="${basedomain}.conf"
if [ -f "/etc/nginx/sites-available/${configfile}" ]; then
    echo "${domains} configfile is exist!"
    read -p "Do you want to delete this domains? (y/n):" result
    if [ "${result}" == "y" ]; then
       rm "/etc/nginx/sites-available/${configfile}"
       rm "/etc/nginx/sites-enabled/${configfile}"
       service nginx reload
    fi
    exit 1   
fi

#设置站点目录
echo "Please input the directory for ${domains}"
read -p "Default directory: /var/www/${basedomain}: " vhostdir
if [ "$vhostdir" == "" ]; then
   vhostdir="/var/www/${basedomain}"
fi
mkdir -p "${vhostdir}"
if [ ! -f "${vhostdir}/index.php" ]; then
   echo "<?php phpinfo();?>" > "${vhostdir}/index.php"
fi
chown -R www-data:www-data "${vhostdir}"

cat >"/etc/nginx/sites-available/${configfile}"<<EOF
server	{
		listen       80;
		server_name ${domains};
		index index.html index.htm index.php default.html default.htm default.php;
		root  $vhostdir;
		location ~ .*\.(php|php5)?$ {
                        include /etc/nginx/fastcgi_params;
			fastcgi_pass  127.0.0.1:9000;
			fastcgi_index index.php;
		}
		location ~ .*\.(gif|jpg|jpeg|png|bmp|swf)$ {
			expires      30d;
		}
		location ~ .*\.(js|css)?$ {
			expires      12h;
		}
	}
EOF
ln -s "/etc/nginx/sites-available/${configfile}" "/etc/nginx/sites-enabled/${configfile}"

#重启nginx
service nginx reload
echo "You can access via http://${basedomain}"

